<?php
namespace App\Form\Type;

use Symfony\Component\Form\Extension\Core\Type\SubmitType;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;
use Symfony\Component\Validator\Constraints as Assert;

class DeleteType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $resolver = new OptionsResolver();
        $this->configureOptions($resolver);

        $builder
            ->add('button', SubmitType::class, [
                'label'=> 'Smazat',
            ]);
    }

    public function configureOptions(OptionsResolver $resolver)
    {
        /*$resolver
            ->setRequired('entity')
            ->setAllowedTypes('entity', 'string');*/
    }
}